Subject: Re: "New folder modification time but apparently no changes"

From: Danny De Cock <[email-masked]>
Date: Tue, 1 Feb 2005 00:30:46 +0100 (CET)

On Mon, 31 Jan 2005, Mark Crispin wrote:

> On Mon, 31 Jan 2005, NM Public wrote:
>> If you use PC-Pine to process local traditional Unix mbox folders, 
>> PC-Pine will sometimes display this message: New mailbox modification 
>> time but apparently no change
>
> This is the first that I have heard about it.  Please remember to report 
> any anomalies to [email-masked].
>
> Does this happen only in PC Pine (not in UNIX Pine?

hi,

I can confirm that this message/event also occurs on linux/debian using 
pine 4.58.  I have not yet tested with higher versions of pine, but this 
behaviour appeared only recently...  more precisely, since our mail server 
has migrated from hpux to the current linux/fedora.

>> * What does the error message mean?
>
> Pine noticed that the write time of the mailbox changed, but Pine thinks 
> that it wasn't due to anything that Pine did.  So, Pine thinks that 
> something else did it.
>
> Almost certainly, if this is PC Pine only, it's a bug and there is some 
> path in the code by which Pine doesn't correctly record the write time 
> of a change that it made.

-----------------------------------------------------------------------------
mail: decockd:at:esat:dot:kuleuven:dot:be                     http://godot.be
       godot:at:advalvas:dot:be                  http://godot.studentenweb.org
       godot:at:godot:dot:be         web: http://www.esat.kuleuven.be/~decockd